# Generated by Django 3.2 on 2022-05-17 20:24

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0105_territorio_revisora'),
    ]

    operations = [
        # Migrate all reviewers to revisora_id in territorio
        migrations.RunSQL(
            """
                UPDATE
                    main_territorio a
                SET
                    revisora_id=b.usuaria_id
                FROM
                    main_territoriousuaria b,
                    usuaria c
                WHERE
                    a.id=b.territorio_id AND
                    c.id=b.usuaria_id AND
                    c.is_reviewer is true;
            """
        ),

        # Remove all reviewers from relations to territorio. Now all relations of users to territorio are CADASTRANTES
        migrations.RunSQL(
            """
                DELETE FROM
                    main_territoriousuaria a
                USING
                    usuaria b
                WHERE
                    b.id=a.usuaria_id AND
                    b.is_reviewer is true;
            """
        )
    ]
